前端开发 HTML5 CSS3 HTML CSS JavaScript jQuery Bootstrap

在同一个页面使用多个不同的jQuery版本,让它们并存而不冲

jQuery HTML我帮您 1年前  0次浏览
jQuery自诞生以来,版本越来越多,而且jQuery官网的新版本还在不断的更新和发布中,现已经达到了1.6.4版本,但是我们在以前的项目中就已经使用了旧版本的jQuery,比如已经出现的:1.3.X、1.4.X、1.5.X、1.6.2等等。

  由于项目的需要,必然也需要不断的使用较新版的jQuery,但对于原来就已经存在并已经采用了的旧jQuery版本,我们如何让多个不同的jQuery版本在同一个页面并存而不冲突呢?

  其实,利用jQuery.noConflict()特性,我们不仅可以让jQuery与其他的JS库并存,比如Prototype。也可以与jQuery本身的其他不同版本并存而不冲突。

  


在同一个页面中加载多个不同的jQuery版本
从谷歌服务器加载jQuery最新版本


加载jQuery1.6.2版本


加载jQuery1.5.2版本


加载jQuery1.4.2版本


加载jQuery1.3.2版本





在同一个页面中加载多个不同的jQuery版本






发表评论